repo (2.54-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches:
    - Backport patch to address failing to fetch sha1 case.

 -- Roger Shimizu <rosh@debian.org>  Thu, 24 Apr 2025 00:47:29 -0700

repo (2.54-1~exp1) experimental; urgency=medium

  * New upstream release v2.54
  * debian/patches: Refresh patches.
  * debian/gbp.conf: Turn off pristine-tar.

 -- Roger Shimizu <rosh@debian.org>  Fri, 11 Apr 2025 20:38:16 -0700

repo (2.52-1) unstable; urgency=medium

  * New upstream release v2.52

 -- Roger Shimizu <rosh@debian.org>  Sun, 16 Mar 2025 01:00:43 -0700

repo (2.50.1-1) unstable; urgency=medium

  * New upstream release v2.50.1

 -- Roger Shimizu <rosh@debian.org>  Sun, 22 Dec 2024 22:10:33 -0800

repo (2.48-1) unstable; urgency=medium

  * New upstream release v2.48

 -- Roger Shimizu <rosh@debian.org>  Tue, 05 Nov 2024 01:20:51 -0800

repo (2.46-1) unstable; urgency=medium

  * New upstream release v2.46

 -- Roger Shimizu <rosh@debian.org>  Mon, 16 Sep 2024 01:25:59 -0700

repo (2.45-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release v2.45
  * debian/patches: Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Mon, 25 Mar 2024 23:16:32 -0700

repo (2.40-1~exp1) experimental; urgency=medium

  * New upstream release v2.40
  * debian/patches: Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Sun, 24 Mar 2024 20:19:14 -0700

repo (2.36.1-1) unstable; urgency=medium

  * New upstream release v2.36.1
  * debian/tests/control: Cleanup.
  * Add debian/README.packaging.
  * debian/patches: Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Sun, 03 Sep 2023 02:09:52 -0700

repo (2.35-2) unstable; urgency=medium

  * debian/patches: Add patch to remove black and flake8 check.
  * debian/control: Remove B-D: black.
  * debian/rules: Revert previous ignore test warning.

 -- Roger Shimizu <rosh@debian.org>  Tue, 01 Aug 2023 21:46:40 -0700

repo (2.35-1) unstable; urgency=medium

  * New upstream release v2.35
  * debian/patches: Refresh patches.
  * debian/control: Add B-D: black and python3-pytest-timeout.
  * debian/rules: Ignore test warning.

 -- Roger Shimizu <rosh@debian.org>  Tue, 01 Aug 2023 01:06:19 -0700

repo (2.31-1) unstable; urgency=medium

  * New upstream release v2.31 (Closes: #1027478).

 -- Roger Shimizu <rosh@debian.org>  Sat, 14 Jan 2023 01:10:31 -0800

repo (2.28-1) unstable; urgency=medium

  * New upstream release v2.28

 -- Roger Shimizu <rosh@debian.org>  Tue, 02 Aug 2022 19:55:45 +0900

repo (2.22-1) unstable; urgency=medium

  * New upstream release v2.22

 -- Roger Shimizu <rosh@debian.org>  Wed, 29 Jun 2022 01:43:22 +0900

repo (2.21-1) unstable; urgency=medium

  * New upstream release v2.21
  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Sat, 09 Apr 2022 03:04:11 +0900

repo (2.20-1~exp2) experimental; urgency=medium

  * Merge with debian verion: 2.17.3-3

 -- Roger Shimizu <rosh@debian.org>  Thu, 27 Jan 2022 03:15:53 +0900

repo (2.20-1~exp1) experimental; urgency=medium

  * New upstream release v2.20

 -- Roger Shimizu <rosh@debian.org>  Sun, 16 Jan 2022 01:22:00 +0900

repo (2.17.3-3) unstable; urgency=medium

  * debian/tests:
    - Add python3-pytest as autopkgtest dependency.
  * debian/lintian-overrides:
    - Remove unused override.

 -- Roger Shimizu <rosh@debian.org>  Wed, 19 Jan 2022 19:40:00 +0900

repo (2.17.3-2) unstable; urgency=medium

  * debian/tests:
    - Add run_test to autopkgtest.

 -- Roger Shimizu <rosh@debian.org>  Sun, 16 Jan 2022 17:12:45 +0900

repo (2.17.3-1) unstable; urgency=medium

  * New upstream release v2.17.3
  * Remove debian/.gitlab-ci.yml
  * debian/patches:
    - Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Mon, 22 Nov 2021 21:20:52 +0900

repo (2.16.8-1) unstable; urgency=medium

  * New upstream release v2.16.8
  * Add debian/upstream/signing-key.asc
    - The key is from file repo.
  * debian/watch:
    - Check gpg key while download tag from git.
  * debian/rules:
    - Remove get-orig-source target since uscan is recommended now.
  * Cleanup debian/lintian-overrides and debian/upstream/metadata.

 -- Roger Shimizu <rosh@debian.org>  Sun, 26 Sep 2021 18:25:32 +0900

repo (2.16.5-1) unstable; urgency=medium

  * New upstream release 2.16.5
  * debian/patches:
    - Refresh patches.
  * Remove debian/source/lintian-overrides
    - Since now we don't have local copy of manpages.

 -- Roger Shimizu <rosh@debian.org>  Mon, 30 Aug 2021 01:05:33 +0900

repo (2.15.4-6) unstable; urgency=medium

  * debian/rules:
    - Add dummy email for git config on dh_auto_test,
      otherwise debian CI fails.

 -- Roger Shimizu <rosh@debian.org>  Mon, 02 Aug 2021 03:17:38 +0900

repo (2.15.4-5) unstable; urgency=medium

  * debian/rules:
    - Enable to run "run_test" script as dh_auto_test.
  * debian/control:
    - Add run_test dependencies to Build-Depends field.

 -- Roger Shimizu <rosh@debian.org>  Mon, 02 Aug 2021 01:52:48 +0900

repo (2.15.4-4) unstable; urgency=medium

  * debian/patches:
    - Cherry-pick upstream patch to make manpages system independent,
      which shows no CPU cores of build system.
    - Add patch to get version from d/changelog instead of .git folder.
  * debian/tests:
    - Add test command on new '--use-superproject' option.

 -- Roger Shimizu <rosh@debian.org>  Sat, 31 Jul 2021 16:36:26 +0900

repo (2.15.4-3) unstable; urgency=medium

  * debian/help2man:
    - Remove script and generated manpages in debian folder.
  * debian/patches:
    - Add upstreamed python script to generate manpages.
  * debian/rules:
    - Generate manpages when building.
  * debian/repo.manpages:
    - Update folder name for manpages.

 -- Roger Shimizu <rosh@debian.org>  Sun, 25 Jul 2021 22:53:53 +0900

repo (2.15.4-2) unstable; urgency=medium

  * debian/help2man/update-help:
    - Run hep2man commands in parallel.
    - Make repo-branch manapge as symbolic link to repo-branches.

 -- Roger Shimizu <rosh@debian.org>  Sat, 26 Jun 2021 22:14:07 +0900

repo (2.15.4-1) unstable; urgency=medium

  * New upstream release 2.15.4
  * debian/help2man/update-help:
    - Don't use internet when running.
    - Use the exact version current using to generate manpages.
  * Update bash_completion for repo
  * debian/help2man/*.1:
    - Update manpages by script.
  * debian/control:
    - Add Recommends: git (>= 1:2.28.0), since superproject feature
      requires it.

 -- Roger Shimizu <rosh@debian.org>  Sun, 06 Jun 2021 17:11:41 +0900

repo (2.14.5-1) unstable; urgency=medium

  [ Manas Kashyap ]
  * Team upload

  [ Roger Shimizu ]
  * New upstream version 2.14.5 (Closes: #988176).
  * Update bash_completion for repo
  * debian/help2man/*.1:
    - Update manpages by script.

 -- Roger Shimizu <rosh@debian.org>  Sat, 15 May 2021 19:02:54 +0900

repo (2.13.8-1) unstable; urgency=medium

  * New upstream release 2.13.8
  * debian/watch:
    - Update filenamemangle rule.
  * debian/help2man/*.1:
    - Update manpages by script.

 -- Roger Shimizu <rosh@debian.org>  Sun, 25 Apr 2021 14:56:21 +0900

repo (2.12-1) unstable; urgency=medium

  * New upstream release 2.12
  * d/help2man/*.1: Update by script

 -- Roger Shimizu <rosh@debian.org>  Wed, 27 Jan 2021 02:12:14 +0900

repo (2.11.1-1) unstable; urgency=medium

  * New upstream release 2.11.1
  * debian/patches:
    - Refresh patches.
  * d/help2man/*.1: Update by script

 -- Roger Shimizu <rosh@debian.org>  Sat, 09 Jan 2021 18:32:07 +0900

repo (2.10-1) unstable; urgency=medium

  * New upstream release v2.10
  * debian/control:
    - Bump up git depends version to 2.20
  * debian/patches:
    - Refresh python shebang patch.
    - Cherry-pick 2 patches from upstream to better support for python3.
  * debian/help2man:
    - Update manpages.

 -- Roger Shimizu <rosh@debian.org>  Thu, 03 Dec 2020 21:24:12 +0900

repo (2.9-1) unstable; urgency=medium

  * New upstream version 2.9
  * debian/help2man/update-help:
    - Update the title of each manpages.
  * debian/*lintian-overrides:
    - Update manpages related stuff.
  * debian/patches:
    - Drop upstreamed patches.

 -- Roger Shimizu <rosh@debian.org>  Fri, 11 Sep 2020 01:57:40 +0900

repo (2.8-3) unstable; urgency=medium

  * debian/help2man:
    - Remove the additional footer of help2man generated manpages.
  * debian/patches:
    - Cherry-pick 0003 patch to fix typo.
    - Move upstreamed patches to d/patches/backport folder.
  * Update debian/help2man/repo-sync.1 to fix typo.

 -- Roger Shimizu <rosh@debian.org>  Wed, 01 Jul 2020 02:55:14 +0900

repo (2.8-2) unstable; urgency=medium

  * debian/patches:
    - Amend 0002 patch with the info from upstream, and it already
      got merged.
  * debian/help2man/update-help, debian/repo.manpages, debian/*.1:
    - Move generated manpages to debian/help2man directory.
    - Add more manpages of repo sub-commands.
  * debian/lintian-overrides:
    - Repo sub-commands don't have binary, so it's safe to add them
      into lintian-overrides.
  * debian/copyright:
    - Remove d/repo.1 section, since now we generate it by script.

 -- Roger Shimizu <rosh@debian.org>  Tue, 09 Jun 2020 00:53:32 +0900

repo (2.8-1) unstable; urgency=medium

  * New upstream version 2.8
  * Add script debian/help2man/update-help to genernate manpages.
  * debian/patches:
    - Add 0002 patch to fix typo in help.
  * debian/*.1:
    - Update manpages, generated from script.
  * debian/repo.manpages:
    - Add new manpages to install.

 -- Roger Shimizu <rosh@debian.org>  Sat, 06 Jun 2020 03:10:13 +0900

repo (2.7-1) unstable; urgency=medium

  * New upstream version 2.7
  * debian/control:
    - Add myself to uploaders.
    - Add dh-python and python3-setuptools as B-D.
  * debian/rules:
    - Use pybuild as buildsystem.
    - Disable dh_auto_test since it fails.
  * debian/patches:
    - Update the shebang patch to include all related scripts, so that
      we can safely drop dependency to python2.
  * debian/tests/control:
    - Update test command to include execution time output.

 -- Roger Shimizu <rosh@debian.org>  Sun, 10 May 2020 22:51:00 +0900

repo (1.13.7-2) unstable; urgency=medium

  * Team upload.
  * Change autopkgtest to not negate repo help return code.
    Thanks to Michel Le Bihan for merge-request on salsa.
    (Closes: #949461)
  * debian/control: Add Rules-Requires-Root: no
  * Add debian/upstream/metadata.
  * debian/tests/control: Add ca-certificates to dependency.

 -- Roger Shimizu <rosh@debian.org>  Fri, 08 May 2020 22:05:19 +0900

repo (1.13.7-1) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * New upstream version 1.13.7
  * Switch to Python 3  (Closes: #938352)
  * debian/copyright: Fix ordering of paragraphs
  * debian/control: Declare compliance with policy v4.4.1
  * Upgrade to dh compatibility level 12

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 18 Oct 2019 09:41:14 +0200

repo (1.13.2-1) unstable; urgency=medium

  * New upstream version
  * Add basic autopkgtest

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 17 Jan 2019 20:57:57 +0100

repo (1.12.37-3) unstable; urgency=medium

  * install bash-completion with debhelper (Closes: #856417)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 28 Feb 2017 21:51:18 +0100

repo (1.12.37-2) unstable; urgency=medium

  * move to contrib, it violates policy 2.2.1 (Closes: #855846)

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 24 Feb 2017 23:59:16 +0100

repo (1.12.37-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 3.9.8

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 18 Dec 2016 21:45:53 +0100

repo (1.12.32-2) unstable; urgency=medium

  * add bash completion
  * manpage based on output of `repo help --all` (Closes: #806546)
  * document other sources of documentation
  * remove obsolete section from README.source

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 27 Dec 2015 23:25:16 +0100

repo (1.12.32-1) unstable; urgency=medium

  * New upstream release
  * Use get-orig-source to fetch upstream tarball

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 07 Dec 2015 11:59:59 +0800

repo (1.12.22-1) unstable; urgency=low

  * Initial Release (Closes: #792014)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 09 Jul 2015 23:37:57 -0700
